<?php

/**
 * @file
 * Default theme implementation to present all variables to the theme layer for
 * the logged-in user block of the user_details module.
 *
 * Available variables:
 * - $user_picture: Image set by the user or the site's default. Will be linked
 *   depending on the viewer's permission to view the user's profile page.
 * - $account: Array of account information. Potentially unsafe. Be sure to
 *   check_plain() before use.
 *
 * 
 */
?>
<div id="user-details">
  <div id="authored">
    <?php if (variable_get('user_details_authored_name') != 0): ?>
      <div class="user-name"><?php print $user_details_authored_name; ?></div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_avatar') != 0): ?>
      <div class="user-avatar"><?php print $user_details_authored_avatar; ?></div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_joined')!= 0): ?>
      <div class="user-joined">
        <div class="title">Joined: </div>
        <div class="result"><?php print $user_details_authored_joined; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_postcount') != 0): ?>
      <div class="user-post-count">
        <div class="title">Posts: </div>
        <div class="result"><?php print $user_details_authored_postcount; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_points') != 0): ?>
      <div class="user-points">
        <div class="title">Points: </div>
        <div class="result"><?php print $user_details_authored_points; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_rank') != 0): ?>
      <div class="user-rank">
        <div class="title">Rank: </div>
        <div class="result"><?php print $user_details_authored_rank; ?></div>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_content') != 0): ?>
      <div class="user-content">
        <hr>
        <div class="title">My Content</div>
        <ul class="result">
          <?php print $user_details_authored_content; ?>
        </ul>
      </div>
    <?php endif; ?>
    <?php if (variable_get('user_details_authored_profilelink') != 0): ?>
      <div class="quick-links">
        <hr>
        <div class="title">My Quick Links</div>
        <ul>
          <?php if (arg(0) == 'node'): ?>
            <?php if (variable_get('user_details_authored_profilelink') != 0): ?>
              <li class="profile-link"><?php print $user_details_authored_profilelink; ?></li>
            <?php endif; ?>
          <?php endif; ?>
          <?php if (variable_get('user_details_authored_contactlink') != 0): ?>
            <li class="create-link"><?php print $user_details_authored_contactlink; ?></li>
          <?php endif; ?>
        </ul>
      </div>
    <?php endif; ?>
  </div>
</div>